# Interface FunctionInternalValueInfoKnown

This type of FunctionInternalValueInfo is used for an actual internal function.

#### Category

Function types

#### Hierarchy

- FunctionInternalValueInfoKnown

- Defined in codec/lib/format/values.ts:557

#####
Index

### Properties

constructorProgramCounter
context
definedIn
deployedProgramCounter
id
kind
mutability?
name

## Properties

### constructorProgramCounter

constructorProgramCounter: number

- Defined in codec/lib/format/values.ts:561

### context

context: ContractType

- Defined in codec/lib/format/values.ts:559

### definedIn

definedIn: ContractType

Is null for a free function

- Defined in codec/lib/format/values.ts:566

### deployedProgramCounter

deployedProgramCounter: number

- Defined in codec/lib/format/values.ts:560

### id

id: string

An internal opaque ID

- Defined in codec/lib/format/values.ts:570

### kind

kind: "function"

- Defined in codec/lib/format/values.ts:558

### `Optional` mutability

mutability?: Mutability

- Defined in codec/lib/format/values.ts:571

### name

name: string

- Defined in codec/lib/format/values.ts:562

Generated using TypeDoc